
Smart Proxy - Feature #8006

Implement logging to stdout/stderr

10/21/2014 07:05 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Core   

Target version: 1.6.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/229

  

Description

Since systemd automatically capture stdout/stderr, it is possible to trivially add systemd/journald/syslogd support just by adding an

option to log to standard output/error.

This would be nice to have in discovery image too.

Related issues:

Related to Smart Proxy - Feature #676: Syslog support Resolved 02/20/2011

Related to Foreman - Tracker #8360: Full journald support Duplicate 11/12/2014

Associated revisions

Revision 31728207 - 10/29/2014 07:25 AM - Lukas Zapletal 

Fixes #8006 - added STDOUT proxy log option

History

#1 - 10/21/2014 07:05 AM - Lukas Zapletal

- Related to Feature #676: Syslog support added

#2 - 10/21/2014 07:07 AM - Lukas Zapletal

Implementation proposal:

:log_file: STDOUT

 should log everything to stdout (without time/date prefixes).

#3 - 10/24/2014 08:37 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/229 added

- Pull request deleted ()

#4 - 10/29/2014 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 31728207f7486ac4fc42d2580dd7debc4c34c9b3.

#5 - 10/29/2014 08:03 AM - Dominic Cleal

- Category set to Core

- Target version set to 1.7.2

- translation missing: en.field_release set to 21
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/31728207f7486ac4fc42d2580dd7debc4c34c9b3


#6 - 10/29/2014 01:24 PM - Lukas Zapletal

Anybody agains backporting this into 1.6.z if we have an update scheduled? I d love to have it for 1.6 discovery.

#7 - 11/12/2014 04:03 AM - Lukas Zapletal

- Related to Tracker #8360: Full journald support added

#8 - 11/12/2014 04:13 AM - Dominic Cleal

- translation missing: en.field_release changed from 21 to 27
